local f = CreateFrame("Frame");
f:RegisterEvent("CHAT_MSG_ADDON");
f:SetScript('OnEvent', function(self, event, ...) self[event](self, ...); end);
C_ChatInfo.RegisterAddonMessagePrefix('AOTO');

SLASH_AOTO1 = "/takeover"
SlashCmdList["AOTO"] = function(msg, editBox)
	if UnitIsGroupAssistant('player') then
		C_ChatInfo.SendAddonMessage('AOTO', 'request_lead', 'RAID');
	else
		print('Only promoted players can request lead.');
	end
end

f.CHAT_MSG_ADDON = function(self, prefix, message, distribution, sender)
	if (prefix ~= 'AOTO') then return; end;
	if (not UnitIsGroupAssistant('player')) and (not UnitIsGroupLeader('player')) then return; end;
	
	if (message == 'request_lead') then
		if (not UnitIsGroupAssistant(sender)) then return; end; 
		
		print(sender..' wants the lead.');
		
		if (UnitIsGroupLeader('player')) then
			PromoteToLeader(sender)
			C_ChatInfo.SendAddonMessage('AOTO', sender, 'RAID');
		end
	else
		print(message..' receives the lead.');
	end	
end